Get Apple Attributes
curl --request GET \
--url https://api.birdeye.com/resources/v1/listing/{businessNumber}/apple-location-attributes-listimport requests
url = "https://api.birdeye.com/resources/v1/listing/{businessNumber}/apple-location-attributes-list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/listing/{businessNumber}/apple-location-attributes-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"crossbusiness.family_kids": [
{
"attributeId": "kidsclub",
"description": "Kids club is the facility that a business or establishment has where various social and recreational activities are available for children's entertainment."
}
],
"crossbusiness.goodfor": [
{
"attributeId": "groups",
"description": "Good for groups refer that the establishment is good for people in groups."
},
{
"attributeId": "singles",
"description": "Good for singles refer that the establishment is good for people who are single."
}
],
"crossbusiness.barservice": [
{
"attributeId": "no_alcohol",
"description": "Business that does not serve alcohol."
},
{
"attributeId": "bar_lounge",
"description": "The bar lounge is the facility where non-alcoholic, alcoholic drinks and other condiments are available in a room with comfortable tables and sittings."
}
],
"crossbusiness.cellphone_rental": []
}{
"code": 400,
"message": "Category Id not found"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Listing
Get Apple Attributes
The Get Apple Attributes API fetches the list of applicable Apple attributes. An attribute is typically something that helps describe your location better. E.g.: You provide paid parking or that your location is kid friendly etc.
GET
/
v1
/
listing
/
{businessNumber}
/
apple-location-attributes-list
Get Apple Attributes
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Business Number.
Response
OK
This is dynamic field. Depends upon request inputs.
⌘I